iPhone/iPod, 應用程式開發

[APP開發] Xcode4.3版也可使用iOS4.0 SDK開發

梅干2012/05/11
梅問題-iPhone應用程式開發-Xcode4.3版下載iOS4.0版SDK
  由於梅干最近把用了許久的小小白,汰換成MacBook Air,而新一代的MacBook Air內建的OS10.7 Lion版,因此當透過Apple Store中下載Xcode時,就只能安裝Xcdoe 4.3.2,而Xcode4.3.2內建為iOS5 SDK,這也意謂著,只能用iOS5的版本進行開發,但就目前來說,還是有許多朋友,還沒升到iOS5,因此若想要能讓開發出來的APP向下相容,那就只能降低SDK的版本,因此今天梅干來分享個小技巧,讓使用Xcdoe4.3版也可使用4.0 SDK來進行開發喔!現在就一塊來看看吧!如何在Xcode4.3版下使用iOS4.0 SDK。

下載iOS4.0 SDK
開發工具:Xcode
工具版本:4.3.2

Step1
首先,開啟Xcode選擇功能表 Xcode / Preferences
梅問題-iPhone應用程式開發-Xcode4.3版下載iOS4.0版SDK
Step2
接著切到Downloads頁籤,再對著要下載的SDK後方的Install鈕點一下。
梅問題-iPhone應用程式開發-Xcode4.3版下載iOS4.0版SDK
Step3
再輸入Apple ID的帳號與密碼。
梅問題-iPhone應用程式開發-Xcode4.3版下載iOS4.0版SDK
Step4
輸入完成後,Xcdoe就會開始下載先前SDK的版本,會有點久,就放著給它下載吧!當下載完畢後,就可在Xcode4.3版下,使用舊版的SDK來進行開發囉!
梅問題-iPhone應用程式開發-Xcode4.3版下載iOS4.0版SDK
  若有使用Xcode的朋友,可能會發現到,Xcode4.3.2版的一些專案與先前不太一樣,因此梅干建議各位可使用Single View Application會比較好上手,當比較上手後,可改用Empty Application,其實Empty Application就等於先前的Window-based Application,當下載完先前的SDK後,在專案的地方,再設成iOS4.0的版本,就可開始開發囉!
UAG軍規iPhone防摔殼